program fibo
  integer :: limit, f1, f2, f3
  read *, limit
  f1=1
  if (limit.ge.1) print *, f1
  f2 = 1
  if (limit.ge.2) print *, f2
  do i = 3, limit
    f3 = f1+f2
    print *, f3
    f1 = f2
    f2 = f3
  end do
end program fibo
